The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId
Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}
Indicates if the output of the task is structured.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Agent Cloud","colors":{"primary":"#82aff0","light":"#82aff0","dark":"#82aff0"},"favicon":"/favicon.svg","logo":{"light":"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/light.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=ea4553ac79b2428f9308000063c92535","dark":"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/dark.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=2e03d10de70d76b210de4655744bf453"},"api":{"mdx":{"server":null,"auth":{"method":"bearer","name":null}}},"navbar":{"links":[{"label":"Home Page","href":"https://www.agentcloud.dev"},{"label":"Github","href":"https://github.com/rnadigital/agentcloud"}],"primary":{"type":"button","label":"Sign Up to Cloud","href":"https://app.agentcloud.dev/register"}},"footer":{"socials":{"twitter":"https://twitter.com/agentcloud_dev","github":"https://github.com/rnadigital/agentcloud","linkedin":"https://www.linkedin.com/products/rna-digital-agent-cloud/"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rna","hasAudioNarration":false,"actualSubdomain":"rna","customDomains":["docs.agentcloud.dev"],"gitSource":{"type":"github","owner":"rnadigital","repo":"agentcloud-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e624044dd579e9b57289","collectionId":"fe8b9fe7-21ae-4bb2-afb8-d5d57394148b","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae91f4285c0c2fd2e251e79:success","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":98},{"language":"default","tag":"Reference","count":98},{"language":"default","tag":"All Objects","count":63},{"language":"default","tag":"Documentation","count":17},{"language":"default","tag":"Components","count":8},{"language":"default","tag":"Datasources","count":7},{"language":"default","tag":"Sessions","count":6},{"language":"default","tag":"Agents","count":5},{"language":"default","tag":"Models","count":5},{"language":"default","tag":"Tasks","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"apidocs/docs/tasks/get--task","slug":"/apidocs/docs/tasks/get--task","pageMetadata":{"openapi":"get /{resourceSlug}/task/{taskId}.json","authMethod":"bearer","title":"Retrieve Task","description":"Retrieve a JSON object with a singular task to be retrieved by id.","href":"/apidocs/docs/tasks/get--task"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a JSON object with a singular task to be retrieved by id.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /{resourceSlug}/task/{taskId}.json","authMethod":"bearer","title":"Retrieve Task","description":"Retrieve a JSON object with a singular task to be retrieved by id.","href":"/apidocs/docs/tasks/get--task"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Retrieve a JSON object with a singular task to be retrieved by id.","summary":"Retrieve Task","operationId":"taskJson","tags":["Tasks"],"parameters":["a701758d-fe79-4c82-821d-53dbd1695d87","f059bcc3-284f-488b-b360-ddaf23450d90"],"responses":{"200":"35bce314-4b07-48ec-8906-d67bdbe41cc3","400":"cfc4f5fc-9a61-457e-b080-1d169489f252","403":"be6efb4d-70ec-4f77-871d-a581b58e5838","500":"8eff2d89-1346-4674-94bb-08b813263eab"},"method":"get","type":"path","servers":["f0ed2002-4792-4176-bf4b-01b61fc40016","7ace45df-a087-4111-b4e4-53c7e7f8d291"],"security":[],"path":"/{resourceSlug}/task/{taskId}.json","baseUrlOptions":["https://app.agentcloud.dev","{custom_url}"],"title":"Retrieve Task","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"a701758d-fe79-4c82-821d-53dbd1695d87":{"name":"resourceSlug","in":"path","required":true,"schema":{"description":"The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId\nMongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"},"description":"The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId"},"f059bcc3-284f-488b-b360-ddaf23450d90":{"name":"taskId","in":"path","required":true,"schema":{"properties":{"taskId":{"type":"string","description":"Id of the task to get","uniqueKey":"taskId","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"","typeLabel":"object"}}},"responses":{"35bce314-4b07-48ec-8906-d67bdbe41cc3":{"description":"JSON object containing the retrieved task.","content":{"task.json":{"schema":{"type":"object","description":"Represents a task within the system, including its configuration, expected output, and optional form fields.","required":["name","description"],"properties":{"name":{"description":"The name of the task.","type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"description":{"description":"A detailed description of the task.","type":"string","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"_id":{"oneOf":[{"type":"string","description":"Unique identifier for the task.","uniqueKey":"_id.oneOf.0","typeLabel":"string"},{"type":"string","description":"Unique identifier for the task.","uniqueKey":"_id.oneOf.1","typeLabel":"string"}],"uniqueKey":"_id","typeLabel":"string"},"orgId":{"oneOf":[{"type":"string","description":"Identifier of the organization to which the task belongs.","uniqueKey":"orgId.oneOf.0","typeLabel":"string"},{"type":"string","description":"Identifier of the organization to which the task belongs.","uniqueKey":"orgId.oneOf.1","typeLabel":"string"}],"uniqueKey":"orgId","typeLabel":"string"},"teamId":{"oneOf":[{"type":"string","description":"Identifier of the team to which the task belongs.","uniqueKey":"teamId.oneOf.0","typeLabel":"string"},{"type":"string","description":"Identifier of the team to which the task belongs.","uniqueKey":"teamId.oneOf.1","typeLabel":"string"}],"uniqueKey":"teamId","typeLabel":"string"},"agentId":{"oneOf":[{"type":"string","description":"Identifier of the agent associated with the task.","uniqueKey":"agentId.oneOf.0","typeLabel":"string"},{"type":"string","description":"Identifier of the agent associated with the task.","uniqueKey":"agentId.oneOf.1","typeLabel":"string"}],"uniqueKey":"agentId","typeLabel":"string"},"expectedOutput":{"description":"The expected output of the task.","type":"string","uniqueKey":"expectedOutput","typeLabel":"string"},"toolIds":{"description":"List of tool identifiers associated with the task.","type":"array","items":{"oneOf":[{"type":"string","description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","uniqueKey":"toolIds.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"string","uniqueKey":"toolIds.items.[INDEX].oneOf.1","typeLabel":"string"}],"uniqueKey":"toolIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"toolIds","typeLabel":"string[]"},"asyncExecution":{"description":"Indicates if the task is executed asynchronously.","type":"boolean","uniqueKey":"asyncExecution","typeLabel":"boolean"},"context":{"description":"Contextual information related to the task.","type":"array","items":{"oneOf":[{"type":"string","description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","uniqueKey":"context.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"string","uniqueKey":"context.items.[INDEX].oneOf.1","typeLabel":"string"}],"uniqueKey":"context.items.[INDEX]","typeLabel":"string"},"uniqueKey":"context","typeLabel":"string[]"},"outputJson":{"description":"The JSON output of the task.","type":"object","additionalProperties":true,"uniqueKey":"outputJson","typeLabel":"object"},"outputPydantic":{"description":"The Pydantic output of the task.","type":"object","additionalProperties":true,"uniqueKey":"outputPydantic","typeLabel":"object"},"outputFile":{"description":"The file output of the task.","type":"string","uniqueKey":"outputFile","typeLabel":"string"},"icon":{"oneOf":[{"type":"object","description":"Icon associated with the task, either an attachment or an object containing the icon details.","required":["id","filename"],"properties":{"id":{"description":"this is NOT a unique id for the IconAttachment, this is a Mongo id that links to an Asset object (neet to implement assets in docs)","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"icon.oneOf.0.id.additionalProperties","typeLabel":"string"},"type":"object","isRequired":true,"uniqueKey":"icon.oneOf.0.id","typeLabel":"object"},"filename":{"type":"string","description":"Filename of the attachment at the point of upload","isRequired":true,"uniqueKey":"icon.oneOf.0.filename","typeLabel":"string"}},"uniqueKey":"icon.oneOf.0","typeLabel":"object"},{"type":"object","description":"Icon associated with the task, either an attachment or an object containing the icon details.","properties":{"id":{"description":"Identifier for the icon.","type":"string","uniqueKey":"icon.oneOf.1.id","typeLabel":"string"},"filename":{"description":"Filename of the icon.","type":"string","uniqueKey":"icon.oneOf.1.filename","typeLabel":"string"}},"uniqueKey":"icon.oneOf.1","typeLabel":"object"}],"uniqueKey":"icon","typeLabel":"object"},"requiresHumanInput":{"description":"Indicates if the task requires human input.","type":"boolean","uniqueKey":"requiresHumanInput","typeLabel":"boolean"},"displayOnlyFinalOutput":{"description":"Indicates if only the final output should be displayed.","type":"boolean","uniqueKey":"displayOnlyFinalOutput","typeLabel":"boolean"},"hidden":{"description":"Indicates if the task is hidden from standard views.","type":"boolean","uniqueKey":"hidden","typeLabel":"boolean"},"formFields":{"description":"Array of form field configurations associated with the task.","type":"array","items":{"type":"object","description":"Configuration for a form field within a task, including position, type, and optional settings.","required":["position","type","name","label"],"properties":{"position":{"description":"The position of the form field within the form layout.","type":"string","isRequired":true,"uniqueKey":"formFields.items.[INDEX].position","typeLabel":"string"},"type":{"description":"The data type of the form field.","type":"string","enum":["string","number","radio","checkbox","select","multiselect","date"],"isRequired":true,"uniqueKey":"formFields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"name":{"description":"The name attribute of the form field.","type":"string","isRequired":true,"uniqueKey":"formFields.items.[INDEX].name","typeLabel":"string"},"label":{"description":"The label displayed for the form field.","type":"string","isRequired":true,"uniqueKey":"formFields.items.[INDEX].label","typeLabel":"string"},"description":{"description":"An optional description for the form field.","type":"string","uniqueKey":"formFields.items.[INDEX].description","typeLabel":"string"},"required":{"description":"Indicates if the form field is required.","type":"boolean","uniqueKey":"formFields.items.[INDEX].required","typeLabel":"boolean"},"options":{"description":"Options available for fields like radio, select, or multiselect.","type":"array","items":{"type":"string","uniqueKey":"formFields.items.[INDEX].options.items.[INDEX]","typeLabel":"string"},"uniqueKey":"formFields.items.[INDEX].options","typeLabel":"string[]"},"tooltip":{"description":"A tooltip providing additional information about the form field.","type":"string","uniqueKey":"formFields.items.[INDEX].tooltip","typeLabel":"string"}},"uniqueKey":"formFields.items.[INDEX]","typeLabel":"object"},"uniqueKey":"formFields","typeLabel":"object[]"},"isStructuredOutput":{"description":"Indicates if the output of the task is structured.","type":"boolean","uniqueKey":"isStructuredOutput","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","description":"\u003cstring>","_id":"\u003cstring>","orgId":"\u003cstring>","teamId":"\u003cstring>","agentId":"\u003cstring>","expectedOutput":"\u003cstring>","toolIds":["\u003cstring>"],"asyncExecution":true,"context":["\u003cstring>"],"outputJson":{},"outputPydantic":{},"outputFile":"\u003cstring>","icon":{"id":{},"filename":"\u003cstring>"},"requiresHumanInput":true,"displayOnlyFinalOutput":true,"hidden":true,"formFields":[{"position":"\u003cstring>","type":"string","name":"\u003cstring>","label":"\u003cstring>","description":"\u003cstring>","required":true,"options":["\u003cstring>"],"tooltip":"\u003cstring>"}],"isStructuredOutput":true}}},"exampleType":"generated"}},"exampleType":"generated"},"cfc4f5fc-9a61-457e-b080-1d169489f252":{"description":"Invalid toolIds, modelIds or function calling modelIds. The content will contain an error message which will detail which field is incorrect.","content":{"dynamicResponse":{"schema":{"description":"Server response","properties":{"message":{"type":"string","description":"Error message to provide more detail","uniqueKey":"message","typeLabel":"string"},"code":{"type":"integer","description":"the error code","uniqueKey":"code","typeLabel":"integer"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","code":123}}},"exampleType":"generated"}},"exampleType":"generated"},"be6efb4d-70ec-4f77-871d-a581b58e5838":{"description":"Invalid Permissions on the resourceSlug, attempting to access a task outside the permissions of the team","content":{"dynamicResponse":{"schema":{"description":"Server response","properties":{"message":{"type":"string","description":"Error message to provide more detail","uniqueKey":"message","typeLabel":"string"},"code":{"type":"integer","description":"the error code","uniqueKey":"code","typeLabel":"integer"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","code":123}}},"exampleType":"generated"}},"exampleType":"generated"},"8eff2d89-1346-4674-94bb-08b813263eab":{"description":"Internal error","content":{"dynamicResponse":{"schema":{"description":"Server response","properties":{"message":{"type":"string","description":"Error message to provide more detail","uniqueKey":"message","typeLabel":"string"},"code":{"type":"integer","description":"the error code","uniqueKey":"code","typeLabel":"integer"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","code":123}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"f0668b87-b6e7-499d-a82f-f4306d4d9170":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}}},"servers":{"f0ed2002-4792-4176-bf4b-01b61fc40016":{"url":"https://app.agentcloud.dev","description":"Use our public api endpoints!"},"7ace45df-a087-4111-b4e4-53c7e7f8d291":{"url":"{custom_url}","description":"Test the endpoints on your own instance of Agent Cloud!","variables":{"custom_url":{"default":"https://app.agentcloud.dev"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"apidocs/openapi.json"},"subdomain":"rna","siteName":"Agent Cloud","title":"Retrieve Task - Agent Cloud","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T01:42:01.091Z","originalFileLocation":"apidocs/docs/tasks/get--task.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve a JSON object with a singular task to be retrieved by id.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Agent Cloud\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve Task - Agent Cloud\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve a JSON object with a singular task to be retrieved by id.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Agent Cloud\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rna.mintlify.site/_mintlify/api/og/v2?division=Tasks\u0026amp;title=Retrieve+Task\u0026amp;description=Retrieve+a+JSON+object+with+a+singular+task+to+be+retrieved+by+id.\u0026amp;theme=7c14074e48f2f45ce3c2749c\u0026amp;signature=d692447085fce2e91f275dbbbb0244a3f8723c2346845f98630b9bbbf42233ba\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve Task - Agent Cloud\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve a JSON object with a singular task to be retrieved by id.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rna.mintlify.site/_mintlify/api/og/v2?division=Tasks\u0026amp;title=Retrieve+Task\u0026amp;description=Retrieve+a+JSON+object+with+a+singular+task+to+be+retrieved+by+id.\u0026amp;theme=7c14074e48f2f45ce3c2749c\u0026amp;signature=d692447085fce2e91f275dbbbb0244a3f8723c2346845f98630b9bbbf42233ba\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Agent Cloud\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#82aff0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/apidocs/docs/tasks/get--task.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.agentcloud.dev/#organization\",\"name\":\"Agent Cloud\",\"url\":\"https://docs.agentcloud.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/light.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=ea4553ac79b2428f9308000063c92535\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.agentcloud.dev#website\",\"name\":\"Agent Cloud\",\"url\":\"https://docs.agentcloud.dev\",\"publisher\":{\"@id\":\"https://docs.agentcloud.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task#webpage\",\"url\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task\",\"name\":\"Retrieve Task\",\"description\":\"Retrieve a JSON object with a singular task to be retrieved by id.\",\"dateModified\":\"2026-01-07T01:42:01.091Z\",\"isPartOf\":{\"@id\":\"https://docs.agentcloud.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Reference\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/sessions/retrieve--session\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Retrieve Task\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task#apireference\",\"headline\":\"Retrieve Task\",\"name\":\"Retrieve Task\",\"description\":\"Retrieve a JSON object with a singular task to be retrieved by id.\",\"url\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task\",\"mainEntityOfPage\":{\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/tasks/get--task#webpage\"},\"dateModified\":\"2026-01-07T01:42:01.091Z\",\"publisher\":{\"@id\":\"https://docs.agentcloud.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.agentcloud.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Agent Cloud\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Agent Cloud","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/get-started/introduction"}]},{"tab":"Integrations","href":"https://agentcloud.dev/integrations"},{"tab":"Blog","href":"https://www.agentcloud.dev/blog"},{"tab":"API Reference","groups":[{"group":"Reference","pages":[{"group":"Sessions","pages":[{"openapi":"get /{resourceSlug}/session/{sessionId}.json","title":"Retrieve Session","href":"/apidocs/docs/sessions/retrieve--session"},{"openapi":"get /{resourceSlug}/sessions.json","title":"Retrieve Sessions","href":"/apidocs/docs/sessions/retrieve--sessions"},{"openapi":"get /{resourceSlug}/session/{sessionId}/messages.json?messageId={messageId}","title":"Retrieve Messages","href":"/apidocs/docs/sessions/retrieve--messages"},{"openapi":"post /{resourceSlug}/forms/session/add","title":"Add a session","href":"/apidocs/docs/sessions/add--session"},{"openapi":"post /{resourceSlug}/forms/session/{sessionId}/cancel","title":"Cancel a session","href":"/apidocs/docs/sessions/cancel--session"},{"openapi":"delete /{resourceSlug}/forms/session/{sessionId}","title":"Delete a session","href":"/apidocs/docs/sessions/delete--session"}]},{"group":"Apps","pages":[{"openapi":"get /{resourceSlug}/app/{appId}.json","title":"Get App","href":"/apidocs/docs/apps/retrieve--app"},{"openapi":"get /{resourceSlug}/apps.json","title":"Get Apps","href":"/apidocs/docs/apps/retrieve--apps"}]},{"group":"Agents","pages":[{"openapi":"get /{resourceSlug}/agent/{agentId}.json","title":"Retrieve Agent","href":"/apidocs/docs/agents/get--agent"},{"openapi":"get /{resourceSlug}/agents.json","title":"Retrieve Agents","href":"/apidocs/docs/agents/get--agents"},{"openapi":"post /{resourceSlug}/forms/agent/add","title":"Add an agent","href":"/apidocs/docs/agents/add--agent"},{"openapi":"post /{resourceSlug}/forms/agent/{agentId}/edit","title":"Edit An Agent","href":"/apidocs/docs/agents/edit--agent"},{"openapi":"delete /{resourceSlug}/forms/agent/{agentId}","title":"Delete An Agent","description":"Delete an agent","href":"/apidocs/docs/agents/delete--agent"}]},{"group":"Tasks","pages":[{"openapi":"get /{resourceSlug}/task/{taskId}.json","title":"Retrieve Task","href":"/apidocs/docs/tasks/get--task"},{"openapi":"get /{resourceSlug}/tasks.json","title":"Retrieve Tasks","description":"Retrieve a JSON list of all tasks the user has access to","href":"/apidocs/docs/tasks/get--tasks"},{"openapi":"post /{resourceSlug}/forms/task/add","title":"Add A New Task","href":"/apidocs/docs/tasks/add--task"},{"openapi":"post /{resourceSlug}/forms/task/{taskId}/edit","title":"Edit A Task","href":"/apidocs/docs/tasks/edit--task"},{"openapi":"delete /{resourceSlug}/forms/task/{taskId}","title":"Delete A Task","href":"/apidocs/docs/tasks/delete--task"}]},{"group":"Tools","pages":[{"openapi":"get /{resourceSlug}/tool/{toolId}.json","title":"Retrieve Tool","href":"/apidocs/docs/tools/get--tool"},{"openapi":"get /{resourceSlug}/tools.json","title":"Retrieve Tools","href":"/apidocs/docs/tools/get--tools"},{"openapi":"post /{resourceSlug}/forms/tool/add","title":"Add A New Tool","href":"/apidocs/docs/tools/add--tool"},{"openapi":"post /{resourceSlug}/forms/tool/{toolId}/edit","title":"Edit A Tool","href":"/apidocs/docs/tools/edit--tool"},{"openapi":"delete /{resourceSlug}/forms/tool/{toolId}","title":"Delete A Tool","href":"/apidocs/docs/tools/delete--tool"}]},{"group":"Models","pages":[{"openapi":"get /{resourceSlug}/model/{modelid}.json","title":"Retrieve Model","href":"/apidocs/docs/models/get--model"},{"openapi":"get /{resourceSlug}/models.json","title":"Retrieve Models","href":"/apidocs/docs/models/get--models"},{"openapi":"post /{resourceSlug}/forms/model/add","title":"Add A New Model","href":"/apidocs/docs/models/add--model"},{"openapi":"post /{resourceSlug}/forms/{modelId}/edit","title":"Edit A Model","href":"/apidocs/docs/models/edit--model"},{"openapi":"delete /{resourceSlug}/forms/{modelId}","title":"Delete A Model","href":"/apidocs/docs/models/delete--model"}]},{"group":"Datasources","pages":[{"openapi":"get /{resourceSlug}/datasource/{datasourceId}.json","title":"Retrieve A Datasource","href":"/apidocs/docs/datasources/retrieve--datasource"},{"openapi":"get /{resourceSlug}/datasources.json","title":"Retrieve Datasources","href":"/apidocs/docs/datasources/retrieve--datasources"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/schedule","title":"Edit Schedule In Datasource - This is marked as Uncomplete","href":"/apidocs/docs/datasources/wip--edit--datasource--schedule"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/streams","title":"Edit Datasource Streams - This Is Marked As Unfinished","href":"/apidocs/docs/datasources/wip--edit--datasource--streams"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/sync","title":"Sync Datasource","href":"/apidocs/docs/datasources/sync--datasource"},{"openapi":"post /{resourceSlug}/forms/datasource/test","title":"Test A Datasource To Be Added","href":"/apidocs/docs/datasources/test--datasource"},{"openapi":"post /{resourceSlug}/forms/datasource/add","title":"Add A Datasource","href":"/apidocs/docs/datasources/add--datasource"}]},{"group":"All Objects","pages":[{"title":null,"href":"/apidocs/docs/schema/Account"},{"title":null,"href":"/apidocs/docs/schema/Agent"},{"title":null,"href":"/apidocs/docs/schema/Asset"},{"title":null,"href":"/apidocs/docs/schema/BaseOpenApiParameters"},{"title":null,"href":"/apidocs/docs/schema/ChatMessage"},{"title":null,"href":"/apidocs/docs/schema/Crew"},{"title":null,"href":"/apidocs/docs/schema/Datasource"},{"title":null,"href":"/apidocs/docs/schema/DatasourceConnectionSettings"},{"title":null,"href":"/apidocs/docs/schema/DatasourceRecordCount"},{"title":null,"href":"/apidocs/docs/schema/DatasourceStream"},{"title":null,"href":"/apidocs/docs/schema/DatasourceStatusColors"},{"title":null,"href":"/apidocs/docs/schema/DynamicResponse"},{"title":null,"href":"/apidocs/docs/schema/FieldDescription"},{"title":null,"href":"/apidocs/docs/schema/FieldDescriptionMap"},{"title":null,"href":"/apidocs/docs/schema/FormFieldConfig"},{"title":null,"href":"/apidocs/docs/schema/FunctionProperty"},{"title":null,"href":"/apidocs/docs/schema/IconAttachment"},{"title":null,"href":"/apidocs/docs/schema/InsertResult"},{"title":null,"href":"/apidocs/docs/schema/MetadataFieldInfo"},{"title":null,"href":"/apidocs/docs/schema/Model"},{"title":null,"href":"/apidocs/docs/schema/MultiQueryRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Notification"},{"title":null,"href":"/apidocs/docs/schema/NotificationDetails"},{"title":null,"href":"/apidocs/docs/schema/NotificationType"},{"title":null,"href":"/apidocs/docs/schema/ObjectId"},{"title":null,"href":"/apidocs/docs/schema/OAuthStrategy"},{"title":null,"href":"/apidocs/docs/schema/Oauth_Provider"},{"title":null,"href":"/apidocs/docs/schema/Org"},{"title":null,"href":"/apidocs/docs/schema/ProcessingErrorDetails"},{"title":null,"href":"/apidocs/docs/schema/Retriever"},{"title":null,"href":"/apidocs/docs/schema/RetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/SelfQueryRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Session"},{"title":null,"href":"/apidocs/docs/schema/SharingConfig"},{"title":null,"href":"/apidocs/docs/schema/SharingMode"},{"title":null,"href":"/apidocs/docs/schema/ShareLink"},{"title":null,"href":"/apidocs/docs/schema/ShareLinkType"},{"title":null,"href":"/apidocs/docs/schema/ShareLinkTypes"},{"title":null,"href":"/apidocs/docs/schema/SimilaritySearchRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/StreamConfig"},{"title":null,"href":"/apidocs/docs/schema/StreamConfigMap"},{"title":null,"href":"/apidocs/docs/schema/Stripe"},{"title":null,"href":"/apidocs/docs/schema/SyncModes"},{"title":null,"href":"/apidocs/docs/schema/SystemUpdateDetails"},{"title":null,"href":"/apidocs/docs/schema/Task"},{"title":null,"href":"/apidocs/docs/schema/Team"},{"title":null,"href":"/apidocs/docs/schema/TeamDescription"},{"title":null,"href":"/apidocs/docs/schema/TeamModelResponse"},{"title":null,"href":"/apidocs/docs/schema/tempRedirectResponse"},{"title":null,"href":"/apidocs/docs/schema/TestDatasourceJSONBody"},{"title":null,"href":"/apidocs/docs/schema/TimeWeightedRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Tool"},{"title":null,"href":"/apidocs/docs/schema/ToolRevision"},{"title":null,"href":"/apidocs/docs/schema/ToolState"},{"title":null,"href":"/apidocs/docs/schema/ToolType"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingConfig"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingStrategy"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingStrategyValues"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredPartitioningStrategy"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredPartitioningStrategyValues"},{"title":null,"href":"/apidocs/docs/schema/UserActionDetails"},{"title":null,"href":"/apidocs/docs/schema/WebhookDetails"},{"title":null,"href":"/apidocs/docs/schema/WebhookType"}]}]}]}]},"basePath":"","title":"Retrieve Task - Agent Cloud","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}